package compiler.syntax.nonTerminal;

import java.util.ArrayList;
import java.util.List;

/**
 * Clase que representa al no terminal programModule.
 * No han de modificarse los mtodos proporcionados.
 * El estudiante puede adir otros si lo cree conveniente
 *
 */
public class ProgramModule {

    List intermediateCode = null;

    /**
     * Constructor for ProgramModule.
     */
    public ProgramModule() {
        this.intermediateCode = new ArrayList();
    }

    /**
     * Returns the code.
     * @return Returns the code.
     */
    public List getIntermediateCode() {
        return intermediateCode;
    }

    /**
     * Sets The code.
     * @param code The code to set.
     */
    public void setIntermediateCode(List intermediateCode) {
        this.intermediateCode = intermediateCode;
    }

    public void fusionaCodigoIntermedio(List lista2) {
        List listadevuelve = new ArrayList();
        if (this.intermediateCode != null) {
            for (int i = 0; i < this.intermediateCode.size(); i++) {
                listadevuelve.add(this.intermediateCode.get(i));
            }
        }
        if (lista2 != null) {
            for (int j = 0; j < lista2.size(); j++) {
                listadevuelve.add(lista2.get(j));
            }
        }
        this.setIntermediateCode(listadevuelve);
    }

    //Metodo aadido por mi para depurar el contenido de la clase ProgramModule segun va subiendo por el arbol sintctico
    @Override
    public String toString() {
        return this.intermediateCode.toString();
    }
}
