package compiler.semantic.type;

import es.uned.compiler.semantic.symbol.ScopeIF;
import es.uned.compiler.semantic.type.TypeBase;


/**
 * Clase que representa un tipo simple (Boolean, Integer, ..)
 * Ha de ser implementada por el estudiante
 *
 */
public class TypeSimple
    extends TypeBase
{
    
    /**
     * Constructor for TypeSimple.
     * @param scope The scope.
     */
    public TypeSimple (ScopeIF scope)
    {
       super (scope);
    }

    public TypeSimple (ScopeIF scope, String name){
        super (scope, name);
    }

    public Integer getSize (){
        return 1;
    }
    /**
     * Compares this object with another one.
     * @param other the other object.
     * @return true if two objects has the same properties.
     */
    public boolean equals (Object other)
    {
      // IMPORTANTE: a implementar por el estudiante
      return super.equals(other);
    }

    /**
     * Returns a hash code for the object.
     */
    public int hashCode ()
    {
       // IMPORTANTE: a implementar por el estudiante
       return super.hashCode();
    } 

    /**
     * Return a string representing the object.
     * @return a string representing the object.
     */
    public String toString ()
    {
       // IMPORTANTE: a implementar por el estudiante
       return super.toString();
       
    } 
}
