/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package compiler.syntax.nonTerminal;

import compiler.CompilerContext;
import compiler.semantic.symbol.SymbolTable;
import compiler.semantic.symbol.SymbolVariable;
import es.uned.compiler.semantic.SemanticErrorManager;
import es.uned.compiler.semantic.symbol.SymbolTableIF;
import java.util.Iterator;
import java.util.List;

/**
 *
 * @author Administrador
 */
public class DefCamposRegistro {

    private SymbolTableIF campos;
    private Integer size;
    SemanticErrorManager semanticErrorManager = CompilerContext.getSemanticErrorManager();

    public DefCamposRegistro() {
        this.campos = new SymbolTable();
    }

    public DefCamposRegistro(SymbolTableIF campos) {
        this.campos = campos;
    }

    public SymbolTableIF getCampos() {
        return campos;
    }

    public void setCampos(SymbolTableIF campos) {
        this.campos = campos;
    }

    public void addCampo(String name, SymbolVariable variable) {
        campos.setSymbol(name, variable);
    }

    public void addCampo(SymbolTableIF campos) {
        for (int i = 0;i<campos.getSymbols().size();i++){
            SymbolVariable v = (SymbolVariable) campos.getSymbols().get(i);
            addCampo(v.getName().toString(), v);
        }
    }

    public Integer getSize() {
        return size;
    }

    public void setSize(Integer size) {
        this.size = size;
    }
}
